@font-face {
    font-family: "DEG";
    src: url("DSEG7Modern-Bold.ttf");
    -webkit-appearance: none;
}

@keyframes shadow-color {
    0% {
        text-shadow: 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85);
    }
    20% {
        text-shadow: 0px 0px 50px rgb(229, 255, 0), 0px 0px 50px rgb(229, 255, 0), 0px 0px 50px rgb(229, 255, 0), 0px 0px 50px rgb(229, 255, 0);
    }
    40% {
        text-shadow: 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC;
    }
    60% {
        text-shadow: 0px 0px 50px rgb(166, 0, 207), 0px 0px 50px rgb(166, 0, 207), 0px 0px 50px rgb(166, 0, 207), 0px 0px 50px rgb(166, 0, 207);
    }
    80% {
        text-shadow: 0px 0px 50px rgb(255, 80, 27), 0px 0px 50px rgb(255, 80, 27), 0px 0px 50px rgb(255, 80, 27), 0px 0px 50px rgb(255, 80, 27);
    }
    100% {
        text-shadow: 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85);
    }
}

@keyframes button_shadow-color {
    0% {
        box-shadow: 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85);
    }
    20% {
        box-shadow: 0px 0px 50px rgb(229, 255, 0), 0px 0px 50px rgb(229, 255, 0), 0px 0px 50px rgb(229, 255, 0), 0px 0px 50px rgb(229, 255, 0);
    }
    40% {
        box-shadow: 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC, 0px 0px 50px #0989FC;
    }
    60% {
        box-shadow: 0px 0px 50px rgb(166, 0, 207), 0px 0px 50px rgb(166, 0, 207), 0px 0px 50px rgb(166, 0, 207), 0px 0px 50px rgb(166, 0, 207);
    }
    80% {
        box-shadow: 0px 0px 50px rgb(255, 80, 27), 0px 0px 50px rgb(255, 80, 27), 0px 0px 50px rgb(255, 80, 27), 0px 0px 50px rgb(255, 80, 27);
    }
    100% {
        box-shadow: 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85), 0px 0px 50px rgb(85, 255, 85);
    }
}

body {
    background-color: #000000;
    -webkit-appearance: none;
}

.clock {
    position: relative;
    text-align: center;
    top: 40%;
    font-family: "DEG";
    color: #FFFFFF;
    animation: shadow-color 10s infinite;
    user-select: none;
    -webkit-appearance: none;
}

.copy_clock_data {
    position: relative;
    text-align: center;
    top: 40%;
    font-family: "DEG";
    color: #FFFFFF;
    animation: shadow-color 10s infinite;
    -webkit-appearance: none;
}

#day {
    position: relative;
    width: 100px;
    left: 100px;
    bottom: 10px;
    font-family: "DEG";
    color: #FFFFFF;
    animation: shadow-color 10s infinite;
    user-select: none;
    font-size: 40px;
    -webkit-appearance: none;
}

#copybutton {
    font-family: "DEG";
    position: relative;
    top: 40%;
    left: 44.2%;
    text-decoration: none;
    color: white;
    font-size: 40px;
    width: 0.5em;
    border: 7px solid black;
    border-radius: 50px;
    animation: button_shadow-color 10s infinite;
    user-select: none;
    -webkit-appearance: none;
}

#align_center_button {
    font-family: "DEG";
    position: relative;
    top: 40%;
    left: 42.35%;
    text-decoration: none;
    color: white;
    font-size: 40px;
    width: 0.5em;
    border: 7px solid black;
    border-radius: 50px;
    animation: button_shadow-color 10s infinite;
    user-select: none;
    -webkit-appearance: none;
}

#border {
    position: fixed;
    width: 200px;
    height: 100px;
    border: 2px solid white;
    border-radius: 50px;
    animation: button_shadow-color 10s infinite;
    top: 75.5%;
    left: 42%;
    -webkit-appearance: none;
}